varying vec3 normal,vert;

varying vec2 texCoords;

void main(void)
{

	texCoords = gl_MultiTexCoord0.st;

	normal=normalize(gl_NormalMatrix*gl_Normal);
	
	vert=vec3(gl_ModelViewMatrix*gl_Vertex);
	
	gl_FrontColor=gl_Color;
	
	gl_Position=ftransform();

}